package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.model.base.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description : 用户登陆表
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-10-11 11:02
 * @Modify:
 **/
@Entity
@Table(name="sys_user")
@Data
@Api(value="用户登陆表",description = "用户登陆系统账户。")
public class SysUser extends BaseBean {

    @Column(name="employee_id")
    @ApiParam(value = "人员主键")
    private Long employeeId;

    @Column(name="login_name")
    @ApiParam(value = "登陆名",example = "前台显示的名称")
    private String loginName;

    @Column(name="login_pwd")
    @ApiParam(value = "登陆密码",example = "使用浏览器语言代码，参考java.util.Locale中的代码。CN/zh，TW/zh，HK/zh，US/en, FR/en,GB/en,JP/en,DE/en,KR/en")
    private String loginPwd;

    //@Column(name="login_pwd_salt")
    //@ApiParam(value = "密码盐",example = "系统生成6位随机数")
    //private String loginPwdSalt;

    @Column(name="employee_code")
    @ApiParam(value = "员工工号（冗余）")
    private String employeeCodeRdd;

    @Column(name="employee_name_rdd")
    @ApiParam(value = "姓名（冗余）")
    private String employeeNameRdd;

    @Column(name="organization_name_rdd")
    @ApiParam(value = "组织名称（冗余）")
    private String organizationNameRdd;
}
